Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | METHOD | DETAIL: FIELD | METHOD

## org.gradle.api.artifacts
Interface PublishArtifact

    interface PublishArtifact

A `PublishArtifact` is an artifact produced by a project.

author:
  Hans Dockter

Method Summary
`java.lang.String` | `getClassifier()` Returns the classifier of this published artifact.
`Date` | `getDate()` Returns the date that should be used when publishing this artifact.
`java.lang.String` | `getExtension()` Returns the extension of this published artifact.
`File` | `getFile()` Returns the file of this artifact.
`java.lang.String` | `getName()` Returns the name of the artifact.
`TaskDependency` | `getTaskDependency()` Returns the task dependency on the tasks necessary to build this artifact.
`java.lang.String` | `getType()` Returns the type of the published artifact.

Method Detail

### getClassifier

    public java.lang.String getClassifier()

  Returns the classifier of this published artifact.

### getDate

    public Date getDate()

  Returns the date that should be used when publishing this artifact. This is used in the module descriptor accompanying this artifact (the ivy.xml). If the date is not specified, the current date is used. If this artifact is published without an module descriptor, this property has no relevance.

### getExtension

    public java.lang.String getExtension()

  Returns the extension of this published artifact. Often the extendsion is the same as the type, but sometimes this is not the case. For example for an ivy xml module decsriptor, the type is ivy and the extension is xml.
  see:
    #getType()

### getFile

    public File getFile()

  Returns the file of this artifact.

### getName

    public java.lang.String getName()

  Returns the name of the artifact.

### getTaskDependency

    public TaskDependency getTaskDependency()

  Returns the task dependency on the tasks necessary to build this artifact.

### getType

    public java.lang.String getType()

  Returns the type of the published artifact. Often the type is the same as the extension, but sometimes this is not the case. For example for an ivy xml module decsriptor, the type is ivy and the extension is xml.
  see:
    #getExtension()

Groovy Documentation